A vulnerability which is known to the designers, implementers, or operators of the system, but has not been corrected.

learn more… | top users | synonyms

3
votes
1answer
283 views

What servers or clients are immune to related-domain cookie attacks? (*.example.com)

In this question, I want to identify browsers, servers, or implementations that are immune from related domain cookie attacks (e.g. a.example.com vs b.example.com). Lacking any tangible solution, ...
3
votes
7answers
838 views

Are URL shorteners “vulnerable” due to open redirects?

The OWASP state that open redirect is a vulnerability: An open redirect is an application that takes a parameter and redirects a user to the parameter value without any validation. This ...
2
votes
2answers
2k views

Security behind the windows 8 eye

I use the Windows 8 operating system. Whenever I navigate to the login page of Internet Explorer 10, or even the login screen of the operating system, I see an eye symbol at the end of the password ...
1
vote
2answers
35 views

Can BREACH be thwarted by simply adding a sort of “salt” into the page being compressed?

Django supplies GZip middleware, but the docs issue a stark warning about BREACH, which I had, hitherto, forgotten about. The first thought I had was that I should be able modify the middleware to ...
0
votes
1answer
130 views

How can I remotely detect versions? [closed]

I want to know how to remotely detect a software version. Once attacker knows the version installed, he can exploit published vulnerabilities. So it will be useful to know it when doing penetration ...
0
votes
1answer
126 views

Are there limits (or, what are the limits) to our understanding of AES's resistance to known plaintext attacks?

Let's assume the same message is encrypted many times, each time with a different IV but the same key. Do we reach a point where just knowing what that message is gives us a plausible attack by which ...
-1
votes
1answer
1k views

The correct way to check for vulnerability CVE-2014-7169 (aftershock)

I found two ways of checking for the vulnerability CVE-2014-7169 (aftershock or taviso bug) bashcheck uses: cd /tmp;rm echo 2>/dev/null X='() { function a a>\' bash -c echo 2>/dev/null > ...